//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wDepotPane:
//	runs p4 depots - saves results in StrArray RemoteList



#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wDepotPane.h"


p4wDepotPane::p4wDepotPane( p4wView & ParentView, p4wRequest & Request )
	: p4wPane( ParentView, Request ), fSeenData(0), fError(0)
{
}

p4wDepotPane::~p4wDepotPane()
{
}


void p4wDepotPane::Begin()
{
}


void p4wDepotPane::Render( StrDict * varList )
{
	const StrPtr *name = varList->GetVar( "name" );
	const StrPtr *type = varList->GetVar( "type" );

	if (type && *type != "local")
	{
		StrBuf *newRmt = RemoteList.Put();
		*newRmt << name << "/";
	}

	fSeenData = 1;
}

void p4wDepotPane::RenderError( char *data, int escapeHTML )
{
	if( fSeenData )
		return;

	fErrMsg << data << " ";
	fError = 1;
}

void p4wDepotPane::End()
{
}
